<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>

    <?php do_action( 'woocommerce_product_meta_start' ); ?>

    <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
        <div class="pt-1 mb-2">
            <span class="sku_wrapper"><span class="text-medium"><?php esc_html_e( 'SKU:', 'fury' ); ?></span> <span class="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'fury' ); ?></span></span>
        </div>
    <?php endif; ?>
    
    <?php if( wc_get_product_tag_list( $product->get_id() ) ): ?>
    <div class="pt-1 mb-2">
        <?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<span class="tagged_as"><span class="text-medium">' . _n( 'Tag:</span>', 'Tags:</span>', count( $product->get_tag_ids() ), 'fury' ) . ' ', '</span>' ); ?>
    </div>
    <?php endif; ?>
    
    <div class="padding-bottom-1x mb-2">
       <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in"><span class="text-medium">' . _n( 'Category:</span>', 'Categories:</span>', count( $product->get_category_ids() ), 'fury' ) . ' ', '</span>' ); ?>
    </div>
    
    <hr class="mb-3">

        <div class="d-flex flex-wrap justify-content-between">
            <?php do_action( 'woocommerce_product_meta_end' ); ?>
            <div class="sp-buttons mt-2 mb-2">
                <button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="btn btn-primary"><i class="icon-bag"></i> <?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
            </div>
        </div>
    </div>
